Bug 1615383 - aterm won't start BadValue integer parameter out of range for operation
Summary: aterm won't start BadValue integer parameter out of range for operation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: aterm
Version: 30
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1708922
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-13 13:26 UTC by Jasper O'neal Hartline
Modified: 2019-05-30 13:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-23 17:48:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Jasper O'neal Hartline 2018-08-13 13:26:49 UTC
Description of problem:

autopsy@localhost:~$ aterm
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  151 (GLX)
  Minor opcode of failed request:  3 (X_GLXCreateContext)
  Value in failed request:  0x0
  Serial number of failed request:  42
  Current serial number in output stream:  44
autopsy@localhost:~$
Version-Release number of selected component (if applicable):
autopsy@localhost:~$ rpm -q aterm
aterm-1.0.1-25.fc27.x86_64
autopsy@localhost:~$ 

How reproducible:
Try to start aterm from a terminal.

Steps to Reproduce:
1. Open gnome-terminal
2. Type: aterm
3. Press Enter

Actual results:
BadValue integer parameter out of range for operation message

Expected results:
Opens aterm

Additional info:
No updates to aterm yet

Comment 1 Jasper O'neal Hartline 2018-09-06 04:55:54 UTC
Still happens on Fedora 28 fresh install.

[autopsy@localhost ~]$ aterm
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  153 (GLX)
  Minor opcode of failed request:  3 (X_GLXCreateContext)
  Value in failed request:  0x0
  Serial number of failed request:  46
  Current serial number in output stream:  48
[autopsy@localhost ~]$

Comment 2 Ben Cotton 2019-05-02 19:23:34 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-02 20:58:44 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora Update System 2019-05-14 11:16:57 UTC
libAfterImage-1.20-21.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-37ba387bca

Comment 5 Fedora Update System 2019-05-14 11:17:06 UTC
libAfterImage-1.20-21.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bedeb1af38

Comment 6 Fedora Update System 2019-05-14 11:17:15 UTC
libAfterImage-1.20-21.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6389c91fe6

Comment 7 Fedora Update System 2019-05-14 11:17:24 UTC
libAfterImage-1.20-21.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6a28a7fe8d

Comment 8 Fedora Update System 2019-05-14 11:17:32 UTC
libAfterImage-1.20-21.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d4ddf39537

Comment 9 Fedora Update System 2019-05-15 00:44:23 UTC
libAfterImage-1.20-21.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-37ba387bca

Comment 10 Fedora Update System 2019-05-15 00:53:05 UTC
libAfterImage-1.20-21.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bedeb1af38

Comment 11 Fedora Update System 2019-05-15 00:58:17 UTC
libAfterImage-1.20-21.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6a28a7fe8d

Comment 12 Fedora Update System 2019-05-15 07:25:48 UTC
libAfterImage-1.20-21.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d4ddf39537

Comment 13 Fedora Update System 2019-05-15 07:40:24 UTC
libAfterImage-1.20-21.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6389c91fe6

Comment 14 Fedora Update System 2019-05-23 17:48:14 UTC
libAfterImage-1.20-21.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-05-23 18:27:31 UTC
libAfterImage-1.20-21.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-05-24 21:49:16 UTC
libAfterImage-1.20-21.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-05-30 12:50:13 UTC
libAfterImage-1.20-21.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-05-30 13:19:01 UTC
libAfterImage-1.20-21.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.